> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Refinement Knowledge

> List all knowledge base items for a refinement.



## OpenAPI

````yaml /openapi.json get /api/v1/refinements/{refinement_id}/knowledge
openapi: 3.1.0
info:
  description: >-
    Okto Pulse REST API schema generated from okto-pulse-core 0.2.0 source for
    docs.oktolabs.ai.
  title: Okto Pulse
  version: 0.2.0
servers: []
security: []
paths:
  /api/v1/refinements/{refinement_id}/knowledge:
    get:
      tags:
        - refinements
      summary: List Refinement Knowledge
      description: List all knowledge base items for a refinement.
      operationId: >-
        list_refinement_knowledge_api_v1_refinements__refinement_id__knowledge_get
      parameters:
        - in: path
          name: refinement_id
          required: true
          schema:
            title: Refinement Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/RefinementKnowledgeSummary'
                title: >-
                  Response List Refinement Knowledge Api V1 Refinements 
                  Refinement Id  Knowledge Get
                type: array
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    RefinementKnowledgeSummary:
      description: Lightweight refinement KB summary (without content).
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        id:
          title: Id
          type: string
        mime_type:
          title: Mime Type
          type: string
        refinement_id:
          title: Refinement Id
          type: string
        title:
          title: Title
          type: string
      required:
        - id
        - refinement_id
        - title
        - description
        - mime_type
        - created_at
      title: RefinementKnowledgeSummary
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````